# getlinestyle

dialog to select linestyle. Obsolete function.

## Calling Sequence

    k=getlinestyle()

## Arguments

k

  integer, selected linestyle or [] if the "Cancel" button has been clicked.

## Description

This function designed to work with the xset function is also obsolete. Use the property editor ged instead.

`getlinestyle` opens a graphic window to select a line style.

## Examples

    x=0:0.1:10;
    plot2d(x,sin(x))
    e=gce(); // store the Compound containing the plot
    e.children(1).line_style = getlinestyle();

## History

5.4.1
Function tagged obsolete. Will be removed in 5.5.0. Please use ged instead.

## See Also

- ged
- set
- segs_properties
- segs_properties